using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public class TreeItemHandler
    {
        IFWTrees controller;
        public TreeItemHandler(IFWTrees controller)
        {
            this.controller = controller;
        }
      
        public TreeItemHandler Click(string value, int repeatingTime = 0)
        {
            controller.TreeItemClickBy(value, repeatingTime);
            return new TreeItemHandler(controller);
        }

        public bool Exist(string value, int repeatingTime = 0)
        {
            if (controller.TreeItemExist(value, repeatingTime) == true)
            {
                return true;
            }
            else
                return false;
        }
    }
}
